﻿using System;
using System.Windows.Forms;

namespace MongoDB_Linq
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnConsultar_Click(object sender, EventArgs e)
        {
            AcessoMongo mongo = new AcessoMongo();

            if (string.IsNullOrWhiteSpace(txtNome.Text))
            {

                var consulta = mongo.GetTodosContatos();
                foreach (var contato in consulta)
                {
                    lstbDados.Items.Add(contato.Nome);
                }
            }
            else
            {
                var consulta = mongo.GetContatosPorNome(txtNome.Text);
                foreach (var contato in consulta)
                {
                    lstbDados.Items.Add(contato.Nome + " - " + contato.Email + " - " + contato.Idade);
                }
            }
        }

        private void criarDadosToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                AcessoMongo mongo = new AcessoMongo();
                mongo.CriarDados();
                MessageBox.Show("Dados criados no MongoDb com sucesso !");
            }
            catch (Exception ex)
            {
                MessageBox.Show(" Erro :: " + ex.Message);
            }
        }

        private void sairToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        //private void button1_Click(object sender, EventArgs e)
        //{
        //    AcessoMongo mongo = new AcessoMongo();
        //    mongo.CriarContato("Teste", "teste@teste.com",23);
        //}
       
    }
}
